/*****************************************************************************/
/*                                                                           */
/* Author: Michael C. Nechyba                                                */
/* Last modified: 11/13/2001                                                 */
/*                                                                           */
/* File: "robots.h"                                                          */
/*                                                                           */
/*****************************************************************************/

#define Cos(a) cos(a)
#define Sin(a) sin(a)
#define Power(a,b) pow(a, ((double) b))

/*****************************************************************************/

extern int robot_assumed_2link_pointmass(double *f, 
					 double *th, double *dth, 
					 double *tau);
extern int model_assumed_2link_pointmass(double *m, double *v, double *g, 
					 double *th, double *dth);

extern int robot_actual_2link_pointmass(double *f, 
					double *th, double *dth, 
					double *tau);
extern int model_actual_2link_pointmass(double *m, double *v, double *g, 
					double *th, double *dth);

/*****************************************************************************/

extern int robot_assumed_2link_cylindrical(double *f, 
					   double *th, double *dth, 
					   double *tau);
extern int model_assumed_2link_cylindrical(double *m, double *v, double *g, 
					   double *th, double *dth);

extern int robot_actual_2link_cylindrical(double *f, 
					  double *th, double *dth, 
					  double *tau);
extern int model_actual_2link_cylindrical(double *m, double *v, double *g, 
					  double *th, double *dth);

/*****************************************************************************/

extern int robot_assumed_4link_pointmass(double *f, 
					 double *th, double *dth, 
					 double *tau);
extern int model_assumed_4link_pointmass(double *m, double *v, double *g, 
					 double *th, double *dth);

extern int robot_actual_4link_pointmass(double *f, 
					double *th, double *dth, 
					double *tau);
extern int model_actual_4link_pointmass(double *m, double *v, double *g, 
					double *th, double *dth);

/*****************************************************************************/
