(************** Content-type: application/mathematica **************
                     CreatedBy='Mathematica 5.0'

                    Mathematica-Compatible Notebook

This notebook can be used with any Mathematica-compatible
application, such as Mathematica, MathReader or Publicon. The data
for the notebook starts with the line containing stars above.

To get the notebook into a Mathematica-compatible application, do
one of the following:

* Save the data starting with the line of stars above into a file
  with a name ending in .nb, then open the file inside the
  application;

* Copy the data starting with the line of stars above to the
  clipboard, then use the Paste menu command inside the application.

Data for notebooks contains only printable 7-bit ASCII and can be
sent directly in email or through ftp in text mode.  Newlines can be
CR, LF or CRLF (Unix, Macintosh or MS-DOS style).

NOTE: If you modify the data for this notebook not in a Mathematica-
compatible application, you must delete the line below containing
the word CacheID, otherwise Mathematica-compatible applications may
try to use invalid cache data.

For more information on notebooks and Mathematica-compatible 
applications, contact Wolfram Research:
  web: http://www.wolfram.com
  email: info@wolfram.com
  phone: +1-217-398-0700 (U.S.)

Notebook reader applications are available free of charge from 
Wolfram Research.
*******************************************************************)

(*CacheID: 232*)


(*NotebookFileLineBreakTest
NotebookFileLineBreakTest*)
(*NotebookOptionsPosition[     10572,        363]*)
(*NotebookOutlinePosition[     11246,        386]*)
(*  CellTagsIndexPosition[     11202,        382]*)
(*WindowFrame->Normal*)



Notebook[{
Cell["Homework #4, Problem #1 template", "Title"],

Cell["\<\
This notebook assumes that the definitions in \"manipulator_defs.nb\
\" have already been evaluated. Sections that need to be modified are \
highlighted as cell boxes.\
\>", "Text"],

Cell[CellGroupData[{

Cell["Manipulator definition", "Section"],

Cell[CellGroupData[{

Cell["DH parameters", "Subsection"],

Cell["Adjust DH parameter definition for three-link manipulator.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(DH\  = \ {{0, 0, 0, \[Theta]1, 0}, {0, L1, \ 0, \ \[Theta]2, 
            0}, \ {0, \ L2, \ 0, 0, 0}};\)\ \), "\n", 
    \(DH\  // TraditionalForm\)}], "Input",
  CellFrame->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    FormBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0", "0", "\[Theta]1", "0"},
            {"0", "L1", "0", "\[Theta]2", "0"},
            {"0", "L2", "0", "0", "0"}
            }], "\[NoBreak]", ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Inertia tensors (links 0 through 2): point-mass assumption", 
  "Subsection"],

Cell[TextData[{
  "Adjust inertias to (1) reflect three-link manipulator, and (2) to reflect \
inertia tensors for thin, uniform-density rods. (What are ",
  Cell[BoxData[
      \(TraditionalForm\`I\_xx\)]],
  ", ",
  Cell[BoxData[
      \(TraditionalForm\`I\_yy\)]],
  "and ",
  Cell[BoxData[
      \(TraditionalForm\`I\_zz\)]],
  "for a thin, uniform-density rod?)"
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(in0 = \ DiagonalMatrix[{0, 0, 0}];\)\), "\n", 
    \(\(in1\  = \ DiagonalMatrix[{Ixx1, \ Iyy1, \ Izz1}];\)\), "\n", 
    \(\(in2\  = \ DiagonalMatrix[{Ixx2, \ Iyy2, \ Izz2}];\)\), "\n", 
    \(\(in\  = \ {in0, in1, in2};\)\), "\n", 
    \(in\  // \ TraditionalForm\)}], "Input",
  CellFrame->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    FormBox[
      InterpretationBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
              {\({0, 0, 0}\), \({0, 0, 0}\), \({0, 0, 0}\)},
              {\({Ixx1, 0, 0}\), \({0, Iyy1, 0}\), \({0, 0, Izz1}\)},
              {\({Ixx2, 0, 0}\), \({0, Iyy2, 0}\), \({0, 0, Izz2}\)}
              }], "\[NoBreak]", ")"}],
        MatrixForm[ {{{0, 0, 0}, {0, 0, 0}, {0, 0, 0}}, {{Ixx1, 0, 0}, {0, 
          Iyy1, 0}, {0, 0, Izz1}}, {{Ixx2, 0, 0}, {0, Iyy2, 0}, {0, 0, 
          Izz2}}}, TableDepth -> 2]], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Link masses", "Subsection"],

Cell["Adjust mass definition for three-link manipulator.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(mass\  = \ {0, m1, m2}; \ mass\  // \ TraditionalForm\)], "Input",
  CellFrame->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    \(TraditionalForm\`{0, m1, m2}\)], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Center-of-mass vectors", "Subsection"],

Cell[TextData[{
  "Adjust ",
  Cell[BoxData[
      \(TraditionalForm\`\(\[InvisiblePrefixScriptBase]\^i\)\(P\_\(C\_i\)\)\)]\
],
  "for thin, uniform-density rods."
}], "Text"],

Cell[CellGroupData[{

Cell[BoxData[
    \(Pc\  = \ {{0, 0, 0}, {L1, 0, 0}, {L2, 0, 0}}; \ 
    Pc\  // \ TraditionalForm\)], "Input",
  CellFrame->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    FormBox[
      RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0", "0"},
            {"L1", "0", "0"},
            {"L2", "0", "0"}
            }], "\[NoBreak]", ")"}], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Gravity vector", "Subsection"],

Cell["Adjust gravity vector for robot.", "Text"],

Cell[BoxData[
    \(\(gravityVector\  = \ {0, g, 0};\)\)], "Input",
  CellFrame->True,
  Background->GrayLevel[0.849989]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Group parameters", "Subsection"],

Cell[BoxData[
    \(\(dyn\  = \ {DH, \ in, \ mass, \ Pc};\)\)], "Input"]
}, Open  ]],

Cell[CellGroupData[{

Cell["Assignment of gravity vector", "Subsection"],

Cell[BoxData[
    \(a[dh_, 0, 0] := gravityVector\)], "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Derivation example", "Section"],

Cell[CellGroupData[{

Cell["Dynamic model [part (a)]", "Subsection"],

Cell[BoxData[
    \(\({mm, \ vv, \ gv}\  = \ \[Tau]Matrix[dyn];\)\)], "Input"],

Cell[CellGroupData[{

Cell[BoxData[
    \(mm\  // DisplayMatrixOrVector\)], "Input"],

Cell[BoxData[
    FormBox[
      TagBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
              {\(m1\ L1\^2 + m2\ L1\^2 + 2\ L2\ m2\ \(cos(\[Theta]2)\)\ L1 + 
                  Izz1 + Izz2 + L2\^2\ m2\), \(m2\ L2\^2 + 
                  L1\ m2\ \(cos(\[Theta]2)\)\ L2 + Izz2\)},
              {\(m2\ L2\^2 + L1\ m2\ \(cos(\[Theta]2)\)\ L2 + 
                  Izz2\), \(m2\ L2\^2 + Izz2\)}
              }], "\[NoBreak]", ")"}],
        Function[ BoxForm`e$, 
          MatrixForm[ BoxForm`e$]]], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(vv\  // \ DisplayMatrixOrVector\)], "Input"],

Cell[BoxData[
    FormBox[
      InterpretationBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
              {
                RowBox[{\(-L1\), " ", "L2", " ", "m2", " ", 
                  
                  FractionBox[\(\[DifferentialD]\[Theta]2\), \(\
\[DifferentialD]t\),
                    MultilineFunction->None], " ", 
                  RowBox[{"(", 
                    RowBox[{
                      RowBox[{"2", " ", 
                        
                        FractionBox[\(\[DifferentialD]\[Theta]1\), \(\
\[DifferentialD]t\),
                          MultilineFunction->None]}], "+", 
                      
                      FractionBox[\(\[DifferentialD]\[Theta]2\), \(\
\[DifferentialD]t\),
                        MultilineFunction->None]}], ")"}], 
                  " ", \(sin(\[Theta]2)\)}]},
              {
                RowBox[{"L1", " ", "L2", " ", "m2", " ", 
                  SuperscriptBox[
                    RowBox[{"(", 
                      
                      FractionBox[\(\[DifferentialD]\[Theta]1\), \(\
\[DifferentialD]t\),
                        MultilineFunction->None], ")"}], "2"], 
                  " ", \(sin(\[Theta]2)\)}]}
              }], "\[NoBreak]", ")"}],
        MatrixForm[ {
          Times[ -1, L1, L2, m2, 
            Dt[ \[Theta]2, t], 
            Plus[ 
              Times[ 2, 
                Dt[ \[Theta]1, t]], 
              Dt[ \[Theta]2, t]], 
            Sin[ \[Theta]2]], 
          Times[ L1, L2, m2, 
            Power[ 
              Dt[ \[Theta]1, t], 2], 
            Sin[ \[Theta]2]]}]], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(gv\  // DisplayMatrixOrVector\)], "Input"],

Cell[BoxData[
    FormBox[
      InterpretationBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
              {\(g\ \((L1\ m1\ \(cos(\[Theta]1)\) + 
                      L1\ m2\ \(cos(\[Theta]1)\) + 
                      L2\ m2\ \(cos(\[Theta]1 + \[Theta]2)\))\)\)},
              {\(g\ L2\ m2\ \(cos(\[Theta]1 + \[Theta]2)\)\)}
              }], "\[NoBreak]", ")"}],
        MatrixForm[ {
          Times[ g, 
            Plus[ 
              Times[ L1, m1, 
                Cos[ \[Theta]1]], 
              Times[ L1, m2, 
                Cos[ \[Theta]1]], 
              Times[ L2, m2, 
                Cos[ 
                  Plus[ \[Theta]1, \[Theta]2]]]]], 
          Times[ g, L2, m2, 
            Cos[ 
              Plus[ \[Theta]1, \[Theta]2]]]}]], TraditionalForm]], "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Mass matrix [part (b)]", "Subsection"],

Cell["Adjust to reflect three-link robot.", "Text"],

Cell[CellGroupData[{

Cell[BoxData[{
    \(\(mm1\  = \ 
        mm\  /. \ {L1\  -> \ L, \ L2 -> L, \ Ixx1\  -> \ Ixx, \ 
            Ixx2\  -> \ Ixx, \ Iyy1 -> Iyy, \ Iyy2 -> Iyy, \ Izz1 -> Izz, \ 
            Izz2 -> Izz, \ m1 -> m, \ m2 -> m};\)\), "\n", 
    \(mm1\  // \ DisplayMatrixOrVector\)}], "Input",
  CellFrame->True,
  Background->GrayLevel[0.849989]],

Cell[BoxData[
    FormBox[
      TagBox[
        RowBox[{"(", "\[NoBreak]", GridBox[{
              {\(3\ m\ L\^2 + 2\ m\ \(cos(\[Theta]2)\)\ L\^2 + 
                  2\ Izz\), \(m\ L\^2 + m\ \(cos(\[Theta]2)\)\ L\^2 + Izz\)},
              {\(m\ L\^2 + m\ \(cos(\[Theta]2)\)\ L\^2 + Izz\), \(m\ L\^2 + 
                  Izz\)}
              }], "\[NoBreak]", ")"}],
        Function[ BoxForm`e$, 
          MatrixForm[ BoxForm`e$]]], TraditionalForm]], "Output"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
    \(\(Det[mm1]\  // \ Simplify\)\  // \ TraditionalForm\)], "Input"],

Cell[BoxData[
    \(TraditionalForm\`2\ m\^2\ L\^4 - 
      m\^2\ \(\(cos\^2\)(\[Theta]2)\)\ L\^4 + 3\ Izz\ m\ L\^2 + 
      Izz\^2\)], "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
FrontEndVersion->"5.0 for Macintosh",
ScreenRectangle->{{0, 1280}, {0, 828}},
WindowSize->{665, 604},
WindowMargins->{{201, Automatic}, {Automatic, 50}},
StyleDefinitions -> "Classroom.nb"
]

(*******************************************************************
Cached data follows.  If you edit this Notebook file directly, not
using Mathematica, you must remove the line containing CacheID at
the top of  the file.  The cache data will then be recreated when
you save this file from within Mathematica.
*******************************************************************)

(*CellTagsOutline
CellTagsIndex->{}
*)

(*CellTagsIndex
CellTagsIndex->{}
*)

(*NotebookFileOutline
Notebook[{
Cell[1754, 51, 49, 0, 62, "Title"],
Cell[1806, 53, 191, 4, 46, "Text"],

Cell[CellGroupData[{
Cell[2022, 61, 41, 0, 59, "Section"],

Cell[CellGroupData[{
Cell[2088, 65, 35, 0, 49, "Subsection"],
Cell[2126, 67, 74, 0, 28, "Text"],

Cell[CellGroupData[{
Cell[2225, 71, 237, 5, 63, "Input"],
Cell[2465, 78, 269, 6, 92, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[2783, 90, 83, 1, 49, "Subsection"],
Cell[2869, 93, 379, 12, 46, "Text"],

Cell[CellGroupData[{
Cell[3273, 109, 355, 7, 111, "Input"],
Cell[3631, 118, 550, 10, 92, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[4230, 134, 33, 0, 49, "Subsection"],
Cell[4266, 136, 66, 0, 28, "Text"],

Cell[CellGroupData[{
Cell[4357, 140, 140, 3, 47, "Input"],
Cell[4500, 145, 62, 1, 61, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[4611, 152, 44, 0, 49, "Subsection"],
Cell[4658, 154, 175, 6, 28, "Text"],

Cell[CellGroupData[{
Cell[4858, 164, 165, 4, 63, "Input"],
Cell[5026, 170, 223, 6, 92, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5298, 182, 36, 0, 49, "Subsection"],
Cell[5337, 184, 48, 0, 28, "Text"],
Cell[5388, 186, 121, 3, 47, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5546, 194, 38, 0, 49, "Subsection"],
Cell[5587, 196, 72, 1, 47, "Input"]
}, Open  ]],

Cell[CellGroupData[{
Cell[5696, 202, 50, 0, 49, "Subsection"],
Cell[5749, 204, 62, 1, 47, "Input"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[5860, 211, 37, 0, 59, "Section"],

Cell[CellGroupData[{
Cell[5922, 215, 46, 0, 49, "Subsection"],
Cell[5971, 217, 78, 1, 47, "Input"],

Cell[CellGroupData[{
Cell[6074, 222, 62, 1, 47, "Input"],
Cell[6139, 225, 530, 11, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[6706, 241, 64, 1, 47, "Input"],
Cell[6773, 244, 1616, 43, 92, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[8426, 292, 62, 1, 47, "Input"],
Cell[8491, 295, 790, 21, 76, "Output"]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{
Cell[9330, 322, 44, 0, 49, "Subsection"],
Cell[9377, 324, 51, 0, 28, "Text"],

Cell[CellGroupData[{
Cell[9453, 328, 342, 7, 79, "Input"],
Cell[9798, 337, 465, 10, 82, "Output"]
}, Open  ]],

Cell[CellGroupData[{
Cell[10300, 352, 84, 1, 47, "Input"],
Cell[10387, 355, 145, 3, 62, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)



(*******************************************************************
End of Mathematica Notebook file.
*******************************************************************)

